Package org.eclipse.emf.cdo.common.util

# Class TransportException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.emf.cdo.common.util.CDOException
org.eclipse.emf.cdo.common.util.TransportException

All Implemented Interfaces:
  `Serializable`

public class TransportException extends CDOException
An unchecked exception that indicates transport-level problems.

Author:
  Eike Stepper
See Also:
  - Serialized Form
No Extend
  This interface is not intended to be extended by clients.

## Constructor Summary

Constructors
Constructor
Description
`TransportException()`
`TransportException(String message)`
`TransportException(String message, Throwable cause)`
`TransportException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransportException

public TransportException()

### TransportException

public TransportException(String message)

### TransportException

public TransportException(String message, Throwable cause)

### TransportException

public TransportException(Throwable cause)